Subject: Re: Setup.exe problem from local directory
From: Paul Butcher <[email-masked]>
To: "Robert Collins" <[email-masked]>, <[email-masked]>
Date: Tue, 16 Jul 2002 09:34:49 +0100

On Wednesday 10 Jul 2002 00:37, Robert Collins wrote:
> > I've had a problem with the latest setup.exe V2.249.2.5 installing from 
> > local directory which I've never seen before and can't seem to get around:
> >
> > I downloaded several packages that I wanted to update into a local
> > directory (as I always do) then run setup.exe - I selected all the 
> > packages to update -
> > it then uninstalled the old versions OK BUT then tried to uninstall the
> > new versions too!  Of course it reported 'null' files for each and I 
> > ended up with all these packages uninstalled!
>
> Setup.exe shouldn't have let you update the packages if it couldn't read
> the files in advance. How did you download the packages? Did
>
> > Now rerunning setup it won't show any package in setup.ini except those
> > I've already got installed so I can't select installation of any new
> > packages.
>
> Even in the 'full' list? Sounds like it's not finding your setup.ini in
> your local package dir.
>
> Rob

I obviously lost some of your reply above - but I found it will only work now 
if the files are structured in exactly the same directories as given in 
setup.ini.  Previous versions of setup.exe have always allowed the 
alternative approach of having all the files in one local directory.

Paul Butcher
Alton, Hants, UK

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/